user3151148 user3151148 - 1 month ago 11
iOS Question

no visible @interface for declares the selector ‘set Range With Minimum:and Maximum:’

I want to run xcode project from here. I get error message:


No visible @interface for declares the selector ‘set Range With Minimum:and Maximum:’ in SPUGalleryManagedChartViewController.m file.


How to fix it?

if (self.ranges) {
for (int i=0; i<self.chart.allAxes.count && i<self.ranges.count; i++) {
if (self.ranges[i]) {
SChartRange *range = (SChartRange *)self.ranges[i];
[self.chart.allAxes[i] setRangeWithMinimum:range.minimum andMaximum:range.maximum];
}
}
}

Answer

DISCLAIMER I am a developer at ShinobiControls.

We have updated the play gallery repository to be compatible with the latest version of ShinobiCharts (2.9.0).

The issue you were seeing was caused by us removing a previously deprecated method "setRangeWithMin:Max:". This was replaced with the "setRange:" method where you provide the chart with a range object rather than it's min and max values.

Let me know if you have any questions.